ワードプレスの更新でのエラー対策について

2017年5月10日

お久しぶりです。

本日は、クロムブックについてではなく、最近アップデートされた

ワードプレスのエラーに関しての自分のための書留です。

 

とはいえ、他にも困っている方がいるかもしれませんので、参考になれば幸いですが^^

 

ワードプレスをアップデートした際に下記の様なエラーが出ました。

Warning: strpos() expects parameter 1 to be string, array given~~~~~shortcodes.php on line 193

自分のページを確認すると、それはもうグチャグチャw

意味合いとしては、第1引数として文字列を前提にしているが配列が渡された。という注意が出ています。

となると、どの様になっているのかと思い、問題の箇所へ。。。

問題の箇所(193行目)   if ( false === strpos( $content, ‘[‘ ) ) {

詳しく書くと長引くため、次の様に変更すれば解決しました^^

問題の箇所(193行目)   if ( false === strpos( (string) $content, ‘[‘ ) ) {

追加しただけですw

 

ということで、一度試してみてはいかがでしょうか?

少しでもお役に立てればコメントやシェアして頂ければ喜びます。